"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("./helpers/utils");
const exists_1 = tslib_1.__importDefault(require("../exists"));
const resolve_package_1 = tslib_1.__importDefault(require("../resolve-package"));
jest.mock('../exists.ts');
jest.mock('../resolve-package.ts');
jest.mock('@cgds/last/package.json', () => ({ name: '@cgds/last' }), {
    virtual: true
});
jest.mock('@cgds/other/package.json', () => ({ name: '@cgds/other', dependencies: { '@cgds/last': '1.0.0' } }), { virtual: true });
jest.mock('@cgds/test/package.json', () => ({ name: '@cgds/test', dependencies: { '@cgds/other': '1.0.0' } }), { virtual: true });
const resolveSpy = resolve_package_1.default;
test("should add dependency's css", () => {
    // @ts-ignore
    exists_1.default.mockReturnValueOnce(true);
    resolveSpy.mockReturnValueOnce('@cgds/test/package.json');
    // @cgds/other doesn't have css itself, but import components that do have css
    // @ts-ignore
    exists_1.default.mockReturnValueOnce(false);
    resolveSpy.mockReturnValueOnce('@cgds/other/package.json');
    // @ts-ignore
    exists_1.default.mockReturnValueOnce(true);
    resolveSpy.mockReturnValueOnce('@cgds/last/package.json');
    const source = 'import Test from "@cgds/test";';
    expect(utils_1.transform(source)).toBe('import Test from "@cgds/test";\nimport "@cgds/last/dist/main.css";\nimport "@cgds/test/dist/main.css";');
});
//# sourceMappingURL=with-deps.test.js.map